Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextBlock_iterator

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextBlock_iterator

All Implemented Interfaces:
  QtJambiInterface

    public class QTextBlock_iterator

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextBlock_iterator()` Constructs an iterator for this text block.
`QTextBlock_iterator(QTextBlock_iterator o)` Copy constructor.

Method Summary
`boolean` | `atEnd()` Returns true if the current item is the last item in the text block.
`boolean` | `equals(java.lang.Object other)`
`QTextFragment` | `fragment()` Returns the text fragment the iterator currently points to.
`static QTextBlock_iterator` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextBlock_iterator instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QTextBlock_iterator[] array)` This function returns a QNativePointer that is pointing to the specified QTextBlock_iterator array.
`void` | `next()` Advances the iterator to the next item in the hash.
`void` | `previous()` Makes the preceding item the current item.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextBlock_iterator

    public QTextBlock_iterator(QTextBlock_iterator o)

  Copy constructor. Constructs a copy of the `o` iterator.

### QTextBlock_iterator

    public QTextBlock_iterator()

  Constructs an iterator for this text block.

Method Detail

### atEnd

    public final boolean atEnd()

  Returns true if the current item is the last item in the text block.

### fragment

    public final QTextFragment fragment()

  Returns the text fragment the iterator currently points to.

### fromNativePointer

    public static QTextBlock_iterator fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextBlock_iterator instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextBlock_iterator[] array)

  This function returns a QNativePointer that is pointing to the specified QTextBlock_iterator array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### next

    public final void next()

  Advances the iterator to the next item in the hash.

### previous

    public final void previous()

  Makes the preceding item the current item.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD